- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moImprBestFitAspirCrit< M > Class Template Reference

One of the possible moAspirCrit. More...

`#include <moImprBestFitAspirCrit.h>`

Inheritance diagram for moImprBestFitAspirCrit< M >:

List of all members.

## Public Types
typedef M::EOType::Fitness | Fitness
| Alias for the fitness.
## Public Member Functions
| moImprBestFitAspirCrit ()
| Contructor.
void | init ()
| Initialisation procedure.
bool | operator() (const M &__move, const Fitness &__fit)
| Function that indicates if the fit is better that the already saved fit.
## Private Attributes
Fitness | best_fit
| Best fitness found until now.
bool | first_time
| Indicates that a fitness has been already saved or not.

## Detailed Description

### template<class M>
class moImprBestFitAspirCrit< M >

One of the possible moAspirCrit.

This criterion is satisfied when a given fitness is the best ever considered.

Definition at line 22 of file moImprBestFitAspirCrit.h.

## Member Function Documentation

template<class M>

bool moImprBestFitAspirCrit< M >::operator() | ( | const M & | __move,
|  | const Fitness & | __fit |
| ) |  |  | `[inline]`

Function that indicates if the fit is better that the already saved fit.

The first time, the function only saved the current move and fitness.

Parameters:

  | __move | a move.
  | __fit | a fitnes linked to the move.

Returns:
  TRUE the first time and if __fit > best_fit, else FALSE.

Definition at line 52 of file moImprBestFitAspirCrit.h.

References moImprBestFitAspirCrit< M >::best_fit, and moImprBestFitAspirCrit< M >::first_time.

The documentation for this class was generated from the following file:

- moImprBestFitAspirCrit.h